<div class="loader" *ngIf="showLoader">
  <app-loader></app-loader>
</div>

<navbar-app [default]="navbarMode" [checkLogin]="checkLogin"></navbar-app>

<div class="body">
  <div class="sidebar">
    <div class="filters">
      <form [formGroup]="filterForm" dir="rtl" (ngSubmit)="doFilter()">
        <div class="search" data-aos="zoom-in" data-aos-duration="500">
          <input type="text" formControlName="search" placeholder="جستجو ..." />
        </div>
        <div class="border"></div>

        <!-- province -->
        <div class="province">
          <input
            type="text"
            formControlName="province"
            name="provinceList"
            class="select-input"
            placeholder="انتخاب استان"
            autocomplete="off"
            (ngModelChange)="filterProvince()"
          />
          <ul class="dropdown" id="provinceList">
            <li
              *ngFor="let province of filteredProvinces"
              (click)="setProvinceValue(province)"
            >
              {{ province.name }}
            </li>
          </ul>
        </div>

        <!-- city -->
        <div class="city">
          <input
            type="text"
            formControlName="city"
            name="cityList"
            class="select-input"
            placeholder="انتخاب شهر"
            autocomplete="off"
            (ngModelChange)="filterCity()"
          />
          <ul class="dropdown" id="cityList">
            <li
              *ngFor="let city of filteredCities"
              (click)="setCityValue(city)"
            >
              {{ city.name }}
            </li>
          </ul>
        </div>

        <!-- field -->
        <div class="field">
          <input
            type="text"
            formControlName="field"
            name="fieldList"
            class="select-input"
            placeholder="انتخاب رشته"
            autocomplete="off"
            (ngModelChange)="filterField()"
          />
          <ul class="dropdown" id="fieldList">
            <li
              *ngFor="let field of filteredFields"
              (click)="setFieldValue(field)"
            >
              {{ field.name }}
            </li>
          </ul>
        </div>

        <!-- degree -->
        <div class="degree">
          <input
            type="text"
            formControlName="degree"
            name="degreeList"
            class="select-input"
            placeholder="انتخاب مدرک"
            autocomplete="off"
            (ngModelChange)="filterDegree()"
          />
          <ul class="dropdown" id="degreeList">
            <li
              *ngFor="let degree of filteredDegrees"
              (click)="setDegreeValue(degree)"
            >
              {{ degree.title }}
            </li>
          </ul>
        </div>

        <!-- level -->
        <div class="level">
          <input
            type="text"
            formControlName="level"
            name="levelList"
            class="select-input"
            placeholder="مرتبه علمی"
            autocomplete="off"
            (ngModelChange)="filterLevel()"
          />
          <ul class="dropdown" id="levelList">
            <li
              *ngFor="let level of filteredLevels"
              (click)="setLevelValue(level)"
            >
              {{ level.name }}
            </li>
          </ul>
        </div>

        <div class="search-btn" data-aos="zoom-in" data-aos-duration="500">
          <p>
            <span>
              <fa-icon [icon]="faSearch"></fa-icon>
            </span>
            جستجو
          </p>
        </div>
      </form>
    </div>
  </div>
  <div class="main">
    <div class="middle-box">
      <!-- professor list -->
      <div class="item-box" dir="rtl">
        <!-- loader -->
        <div class="list-loader" *ngIf="showListLoader">
          <app-loader></app-loader>
        </div>

        <!-- professor -->
        <div class="item" *ngFor="let item of professors">
          <app-professor-item [data]="item"></app-professor-item>
        </div>

        <!-- 404 -->
        <div *ngIf="professors.length == 0" class="not-found">
          <img src="../../assets/images/icon png/404.png" alt="" />
          <p>
            موردی یافت نشد !
          </p>
        </div>

        <!-- pager -->
        <div class="bottom-pager" data-aos="zoom-in" data-aos-duration="500">
          <span class="right" title="قبلی" (click)="goPrevious()">
            <fa-icon [icon]="faAngleRight"></fa-icon>
          </span>
          <span class="page-number"> {{ pageNumber }} </span>
          <span class="left" title="بعدی" (click)="goNext()">
            <fa-icon [icon]="faAngleLeft"></fa-icon>
          </span>
        </div>
      </div>
    </div>
  </div>
</div>

<footer-app [checkLogin]="checkLogin"></footer-app>
